import Reporter from './Reporter';
import Test from '../Test';
import Suite from '../Suite';
/**
 * This reporter enables Intern to interact with TeamCity.
 * http://confluence.jetbrains.com/display/TCD8/Build+Script+Interaction+with+TeamCity
 *
 * Portions of this module are based on functions from teamcity-service-messages:
 * https://github.com/pifantastic/teamcity-service-messages.
 */
export default class TeamCity extends Reporter {
    testStart(test: Test): void;
    testEnd(test: Test): void;
    suiteStart(suite: Suite): void;
    suiteEnd(suite: Suite): void;
    /**
     * Escape a string for TeamCity output.
     *
     * @param  {string} string
     * @return {string}
     *
     * Based on Message.prototype.escape from teamcity-service-messages
     */
    private _escapeString(str);
    /**
     * Output a TeamCity message.
     *
     * @param  {string} type
     * @param  {Object}  args
     *
     * Based on Message.prototype.formatArgs from teamcity-service-messages
     */
    private _sendMessage(type, args);
}
